Page MenuHomePhabricator

filemerge: add a hacktastic version of internal:merge3 for merge diffs
Changes PlannedPublic

Authored by durin42 on May 11 2020, 6:48 PM.

Details

Reviewers
marmoute
Group Reviewers
hg-reviewers
Summary

This is a version of merge3 that always reports success, so that
conflict markers get preserved without us having to implement conflict
storage for in-memory merge. Credit to martinvonz for the idea. The
only planned consumer of this "merge tool" is my upcoming merge-diffs
functionality, though I suspect it could be useful in other ways.

Diff Detail

Repository
rHG Mercurial
Branch
default
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

durin42 created this revision.May 11 2020, 6:48 PM
durin42 updated this revision to Diff 21345.May 11 2020, 6:55 PM
durin42 updated this revision to Diff 21514.May 28 2020, 4:27 PM

Is this to represent conflict for in-memory merge ? Or to help with the "merge diff" display ? Because I am not sure how it help (or is used) in the first case, but I can see it tremendously useful for mergediff (since it show how conflict got resolved)

Is this to represent conflict for in-memory merge ? Or to help with the "merge diff" display ? Because I am not sure how it help (or is used) in the first case, but I can see it tremendously useful for mergediff (since it show how conflict got resolved)

It's basically for mergediffs. I'll revise the commit message.

durin42 edited the summary of this revision. (Show Details)Jun 9 2020, 4:51 PM

Is this to represent conflict for in-memory merge ? Or to help with the "merge diff" display ? Because I am not sure how it help (or is used) in the first case, but I can see it tremendously useful for mergediff (since it show how conflict got resolved)

It's basically for mergediffs. I'll revise the commit message.

Can you also clearly state the intended usage in the documentation of the merge tool itself. Can you update you update diff in that direction ?

durin42 updated this revision to Diff 21614.Jun 11 2020, 12:07 PM
durin42 updated this revision to Diff 21624.Jun 11 2020, 3:46 PM
marmoute requested changes to this revision.Jul 31 2020, 12:03 PM

According to IRC discussion, this series is not ready for review, so moving it out of yadda.

This revision now requires changes to proceed.Jul 31 2020, 12:03 PM